Kodi Community Forum

Full Version: Binary Addons don't build anymore due to p8-platform error
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I was going to freshly rebuild my kodi Leia from sources on Ubuntu 18.04 as I regularly do when there've been recent changes. However, when it comes to building binary addons I am getting the below error several times:
Quote:make[4]: *** [build/p8-platform/src/p8-platform-stamp/p8-platform-download] Error 1
make[3]: *** [depends/CMakeFiles/p8-platform.dir/all] Error 2
make[2]: *** [CMakeFiles/visualization.spectrum.dir/rule] Error 2
make[1]: *** [visualization.spectrum] Error 2
Cloning into 'p8-platform'...
fatal: reference is not a tree: 32190045c7eb6883c0662db2f91b4ceeab904fc2
CMake Error at /usr/local/src/kodi/tools/depends/target/binary-addons/native/build/p8-platform/tmp/p8-platform-gitclone.cmake:75 (message):
Failed to checkout tag: '32190045c7eb6883c0662db2f91b4ceeab904fc2'
Until two weeks ago everything was building fine.
Any changes I missed?
Probably related to the following PR fix. Cherry-pick or manually make the change.

16425 (PR)
(2019-08-03, 10:20)Fuzzard Wrote: [ -> ]Probably related to the following PR fix. Cherry-pick or manually make the change.

16425 (PR)

Sorry for the delayed response. Tested the path yesterday and was able to build the binary addons. Strange there hasn't been more noise about it...